> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/caf-sdk-pt-br/react-native/standalone-modules/cafsmartauth/native-modules/typescript-references.md).

# Referências do TypeScript

## Tipos

### `CafSmartAuthResponse`

| Campo       | Tipo                                        | Descrição                                                                  |
| ----------- | ------------------------------------------- | -------------------------------------------------------------------------- |
| `sucesso`   | [CafSmartAuthSuccess](#cafsmartauthsuccess) | Mostra quando a autenticação inteligente retorna uma captura bem-sucedida. |
| `error`     | string                                      | Mostra quando a autenticação inteligente retorna algum erro.               |
| `cancelado` | booleano                                    | Mostra quando o usuário cancela a autenticação inteligente.                |
| `pendente`  | [CafSmartAuthPending](#cafsmartauthpending) | Mostra quando a autenticação inteligente está pendente.                    |
| `isLoading` | booleano                                    | Mostra quando a autenticação inteligente está carregando.                  |

### `CafSmartAuthSuccess`

| Campo          | Tipo     | Descrição                                                                   |
| -------------- | -------- | --------------------------------------------------------------------------- |
| `isAuthorized` | booleano | Um valor booleano que indica se a autenticação inteligente é legítima.      |
| `attemptId`    | string   | O ID da tentativa de verificação de vivacidade facial.                      |
| `attestation`  | string   | A resposta assinada que confirma que a autenticação inteligente é legítima. |

### `CafSmartAuthPending`

| Campo          | Tipo     | Descrição                                                                   |
| -------------- | -------- | --------------------------------------------------------------------------- |
| `isAuthorized` | booleano | Um valor booleano que indica se a autenticação inteligente é legítima.      |
| `attestation`  | string   | A resposta assinada que confirma que a autenticação inteligente é legítima. |

### `CafFaceAuthenticationSettings`

| Campo                 | Tipo                    | Descrição                                                                                                         | Android | iOS |
| --------------------- | ----------------------- | ----------------------------------------------------------------------------------------------------------------- | :-----: | :-: |
| `filter`              | [CafFilter](#caffilter) | Usado para alterar o filtro do SDK.                                                                               |    ✅    |  ✅  |
| `enableScreenCapture` | booleano                | Usado para habilitar capturas de tela durante a varredura do SDK. Desativado por padrão por motivos de segurança. |    ✅    |  ✅  |
| `loadingScreen`       | booleano                | Usado para habilitar uma barra de progresso padrão de carregamento durante os eventos de carregamento.            |    ✅    |  ✅  |

### `CafSmartAuthTheme`

| Campo                      | Tipo   | Descrição                                              | Android | iOS |
| -------------------------- | ------ | ------------------------------------------------------ | :-----: | :-: |
| `cor de fundo`             | string | Cor de fundo da tela de autenticação.                  |    ✅    |  ✅  |
| `textColor`                | string | Cor do texto principal na tela.                        |    ✅    |  ✅  |
| `progressColor`            | string | Cor do indicador de progresso.                         |    ✅    |  ✅  |
| `linkColor`                | string | Cor dos links clicáveis.                               |    ✅    |  ✅  |
| `boxBackgroundColor`       | string | Cor de fundo dos campos de entrada.                    |    ✅    |  ✅  |
| `boxFilledBackgroundColor` | string | Cor de fundo dos campos de entrada quando preenchidos. |    ❌    |  ✅  |
| `boxBorderColor`           | string | Cor da borda dos campos de entrada.                    |    ✅    |  ✅  |
| `boxFilledBorderColor`     | string | Cor da borda dos campos de entrada quando preenchidos. |    ❌    |  ✅  |
| `boxTextColor`             | string | Cor do texto dentro dos campos de entrada.             |    ✅    |  ✅  |

### `CafSmartAuthThemeConfigurator`

| Campo        | Tipo                                    | Descrição                                                    | Android | iOS |
| ------------ | --------------------------------------- | ------------------------------------------------------------ | :-----: | :-: |
| `lightTheme` | [CafSmartAuthTheme](#cafsmartauththeme) | Define o tema visual da tela de autenticação no modo claro.  |    ✅    |  ✅  |
| `darkTheme`  | [CafSmartAuthTheme](#cafsmartauththeme) | Define o tema visual da tela de autenticação no modo escuro. |    ✅    |  ✅  |

### `CafSmartAuthSettings`

| Campo                        | Tipo                                                            | Descrição                                                                                       | Android | iOS |
| ---------------------------- | --------------------------------------------------------------- | ----------------------------------------------------------------------------------------------- | :-----: | :-: |
| `faceAuthenticationSettings` | [CafFaceAuthenticationSettings](#caffaceauthenticationsettings) | Usado para alterar o filtro do SDK.                                                             |    ✅    |  ✅  |
| `stage`                      | [CafStage](#cafstage)                                           | Usado para redirecionar o SDK para a etapa desejada na API caf.                                 |    ✅    |  ✅  |
| `emailUrl`                   | string                                                          | Define uma URL de autenticação por e-mail. Deve usar o protocolo HTTPS.                         |    ✅    |  ✅  |
| `phoneUrl`                   | string                                                          | Define uma URL de autenticação por telefone. Deve usar o protocolo HTTPS.                       |    ✅    |  ✅  |
| `theme`                      | [CafSmartAuthThemeConfigurator](#cafsmartauththemeconfigurator) | Define a configuração de tema para o SDK. Personalize a aparência para os modos claro e escuro. |    ✅    |  ✅  |

## Enumerações

### `CafStage`

| Campo  | Descrição                   | Android | iOS |
| ------ | --------------------------- | :-----: | :-: |
| `DEV`  | Ambiente de desenvolvimento |    ✅    |  ✅  |
| `BETA` | Ambiente de beta.           |    ✅    |  ✅  |
| `PROD` | Ambiente de produção.       |    ✅    |  ✅  |

### `CafFilter`

| Campo          | Descrição                                   | Android | iOS |
| -------------- | ------------------------------------------- | :-----: | :-: |
| `NATURAL`      | Máscara normal para vivacidade facial.      |    ✅    |  ✅  |
| `LINE_DRAWING` | Máscara alternativa para vivacidade facial. |    ✅    |  ✅  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/caf-sdk-pt-br/react-native/standalone-modules/cafsmartauth/native-modules/typescript-references.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
